Using the QSmack Frontend

Before you continue: Remember we said that the QSmack frontend is written in Tcl? More specifically, to use the frontend you must have Tcl7.6/Tk4.2 or a more recent version installed on your computer. If you don't have Tcl/Tk installed you may as well get the latest version, (Currently Tcl8.3/Tk8.3). If you need to, stop right now and go get it before continuing. The installation process is laughably simple, and it is available for Windows, Macintosh, and various flavors of UNIX.

Once you have Tcl/Tk installed, using the QSmack frontend is as easy as 1-2-3 (pardon the cliché):

1. First, get the frontend and take it out for a spin with our QSmack Frontend Quickstart directions.
2. Next, go to the QSmack Frontend Config File Setup to create the "look" you want for the frontend.
3. Last, peruse the QSmack Frontend Commands to see all the things you can do.